SystemB.XswUsage (JNA API)
Description: declaration: package: com.sun.jna.platform.mac, interface: SystemB, class: XswUsage

Package com.sun.jna.platform.mac

# Class SystemB.XswUsage

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.mac.SystemB.XswUsage

Enclosing interface:
  SystemB

@FieldOrder({"xsu_total","xsu_avail","xsu_used","xsu_pagesize","xsu_encrypted"}) public static class SystemB.XswUsage extends Structure
Return type for sysctl vm.swapusage

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `xsu_avail`
  `boolean`
  `xsu_encrypted`
  `int`
  `xsu_pagesize`
  `long`
  `xsu_total`
  `long`
  `xsu_used`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XswUsage()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### xsu_total

    public long xsu_total

  - ### xsu_avail

    public long xsu_avail

  - ### xsu_used

    public long xsu_used

  - ### xsu_pagesize

    public int xsu_pagesize

  - ### xsu_encrypted

    public boolean xsu_encrypted

- ## Constructor Details

  - ### XswUsage

    public XswUsage()